export async function deepFind(obj, path) {
    const keys = path.split('.');
    let current = obj;

    for (const key of keys) {
        if (current[key] !== undefined) {
            current = current[key];
        } else {
            return undefined;
        }
    }

    return current;
}
